import dynamix_sdk.base as _base


class CloudapiRgDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiRgDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        rg_id: int,
        recursively: bool = False,
        permanently: bool = False,
    ) -> CloudapiRgDeleteResultBool:
        ...
